<template>
  <div v-if="items && items.length" class="intro" id="section-intro">
    <div class="container">
      <div class="f fdc aic intro__header">
        <h2 class="h1 intro__title">Giới thiệu ứng dụng</h2>
        <p class="mt05 mb25 s2">Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.</p>
      </div>
      <div class="grid grid--2 grid--intro">
        <div class="grid__item">
          <VueSlickCarousel ref="slide1" :asNavFor="slide2" :focusOnSelect=true :arrows=false :slidesToShow="4" :vertical=true :swipeToSlide=true :dots=true>
            <div v-for="(item, index) in itemNavFor" :key="index" class="pv05">
              <div class="f fnw aic">
                <img :src="item.icon" alt="icon" class="mr1" /> {{item.name}}
              </div>
            </div>
          </VueSlickCarousel>
        </div>
        <div class="grid__item">
          <VueSlickCarousel ref="slide2" :asNavFor="slide1" :focusOnSelect=true :arrows=false :slidesToShow="1" :vertical=true :swipeToSlide=true>
            <div v-for="(item, index) in itemsCarousel" :key="index">
              <div class="w100 grid grid--intro-description">
                <div class="w100 grid__item">
                  <div class="f jcc">
                    <img src="~/assets/img/iphone.png" class="image" />
                  </div>
                  <video-background
                    src="https://www.youtube.com/watch?v=CnZxamAbSnw&ab_channel=%C4%90enV%C3%A2uOfficial"
                    :poster="require('assets/img/idt.png')"
                    :sources="[
                        {src: '/assets/video/1.mp4', res: 900, autoplay: true},
                        {src: '/assets/video/2.mp4', res: 638, autoplay: true, poster: '@/assets/img/idt.png'}
                    ]"
                    style="max-height: 400px; height: 100vh;"
                    overlay="linear-gradient(45deg,#2a4ae430,#fb949e6b)"
                  >
                    <h1 style="color: white;">Hallo welcome!</h1>
                  </video-background>
                </div>
                <div class="grid__item">
                  <h3 v-if="item.title" class="h1">{{ item.title }}</h3>
                  <p v-if="item.description" class="s2">{{ item.description }}</p>
                </div>
              </div>
            </div>
          </VueSlickCarousel>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import lego from "@/assets/icon-app/lego.svg"
import tree from "@/assets/icon-app/tree.svg"
import timer from "@/assets/icon-app/timer.svg"
import star from "@/assets/icon-app/star.svg"

export default {
  name: 'Intro',
  components: { VueSlickCarousel },
  data () {
    return {
      items: [
        {
          name: 'Quản lý Tổng',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #6875E5 0%, #4E58B1 100%);'
        },
        {
          name: 'Kế toán',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #F8B12D 0%, #E6A327 100%);'
        },
        {
          name: 'Quản lý Kho',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #24DA71 0%, #18A955 100%);'
        },
        {
          name: 'Quản lý Vận chuyển',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #EE8D57 0%, #DB814E 100%);'
        },
        {
          name: 'Nhà phân phối',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #9773FF 0%, #7658CB 100%);'
        },
        {
          name: 'Nhân viên thị trường',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #6393F0 0%, #4E75slide2 100%);'
        },
        {
          name: 'Cửa hàng tạp hóa',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #1BD19B 0%, #14B082 100%);'
        },
        {
          name: 'Quản lý Tổng',
          description: 'Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.',
          link: '/',
          style: 'background: linear-gradient(180deg, #24AFslide1 0%, #1B92A2 100%);'
        }
      ],
      itemsCarousel: [
        {
          video: 'require("assets/video/1.mp4")',
          title: 'Dễ dàng sử dụng',
          description: 'When an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries'
        },
        {
          video: '/static/video/2.mp4',
          title: 'Dễ dàng sử dụng',
          description: 'When an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries'
        },
        {
          video: 'video',
          title: 'Dễ dàng sử dụng',
          description: 'When an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries'
        },
        {
          video: 'video',
          title: 'Dễ dàng sử dụng',
          description: 'When an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries'
        },
        {
          video: 'video',
          title: 'Dễ dàng sử dụng',
          description: 'When an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries'
        }
      ],
      itemNavFor: [
        {
          name: 'Dễ dàng sử dụng',
          icon: lego
        },
        {
          name: 'Hệ thống đồng bộ',
          icon: tree
        },
        {
          name: 'Ứng dụng mượt mà',
          icon: timer
        },
        {
          name: 'Giao diện đơn giản, bắt mắt',
          icon: star
        },
        {
          name: 'Demo',
          icon: tree
        }
      ],
      slide1: null,
      slide2: null
    }
  },
  mounted () {
    this.slide1 = this.$refs.slide1;
    this.slide2 = this.$refs.slide2;
  }
}
</script>

<style scoped lang="scss">
@import "@/assets/base/variables";

.intro {
  padding: 80px 0;

  @media (min-width: break($xs)) {
    padding: 120px 0;
  }
}

.intro__header {
  max-width: 460px;
  margin: 0 auto;
  text-align: center;
}

.grid {
  &--4 {
    & > .grid__item {
      width: 25%;
    }
  }
}

.card__before-title {
  width: 64px;
  height: 64px;
}

.grid--intro {
  justify-content: space-between;

  @media (max-width: 1023px) {
    flex-direction: column;
  }
  & > .grid__item {
    width: 100%;

    @media (min-width: 1024px) {
      &:first-child {
        max-width: 312px;
      }
    }
  }
}

.grid--intro-description {
  @media (max-width: 1023px) {
    flex-direction: column;
    margin-top: 32px;
  }
  & > .grid__item {
    width: 100%;
    @media (max-width: 1023px) {
      text-align: center;
    }

    &:last-child {
      @media (max-width: 1023px) {
        margin-top: 24px;
      }

      @media (min-width: 1024px) {
        max-width: 312px;
        text-align: center;
      }
    }
  }
}
</style>
